NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.FEElement Class Reference

Represents a Finite Element. More...

Inheritance diagram for NXOpen.CAE.FEElement:
NXOpen.TaggedObject NXOpen.IFitTo NXOpen.CAE.IExportableFEEntity NXOpen.Utilities.NXRemotableObject NXOpen.INXObject IMessageSink

Public Member Functions

unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe NXOpen.CAE.FENode[] GetCornerNodesOnEdge (int edgeIndex)
 Returns the corner nodes for this element edge. More...
 
unsafe NXOpen.CAE.FENode[] GetCornerNodesOnFace (int faceIndex)
 Returns the corner nodes for this element face More...
 
unsafe NXOpen.CAE.FEElemEdge GetElemEdge (int edgeIndex)
 Returns an element edge NXOpen.CAE.FEElemEdge given the element and edge id More...
 
unsafe NXOpen.CAE.FEElemFace GetElemFace (int faceIndex)
 Returns an element face NXOpen.CAE.FEElemFace given the element and face id More...
 
unsafe NXOpen.Vector3d GetFaceNormal (int faceIndex)
 Returns the normal vector for an element face More...
 
unsafe NXOpen.CAE.FENode GetMidNodeOnEdge (int edgeIndex)
 Returns the mid node for this element edge, if the element order CAE.FEElement.Order is CAE.ElementTypes.Order.Mixed or an order that does not support mid nodes, then the node returned may be a null reference (Nothing in Visual Basic). More...
 
unsafe NXOpen.CAE.FENode[] GetMidNodesOnFace (int faceIndex)
 Returns the mid nodes for this element face, if the element order CAE.FEElement.Order is CAE.ElementTypes.Order.Mixed , then some of the nodes returned may be a null reference (Nothing in Visual Basic). More...
 
unsafe NXOpen.CAE.FENode[] GetNodes ()
 Returns the nodes for this element, if the element order CAE.FEElement.Order is mixed order, some of the mid nodes returned may be a null reference (Nothing in Visual Basic). More...
 
unsafe int GetNumberOfCornerNodesOnEdge (int edgeIndex)
 Returns the number of corner nodes on element edge More...
 
unsafe int GetNumberOfCornerNodesOnFace (int faceIndex)
 Returns the number of corner nodes on element face More...
 
unsafe string[] GetSolverCardSyntax ()
 Returns the solver card syntax strings for this entity. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe int Label [get]
 Returns the element label More...
 
unsafe NXOpen.CAE.Mesh Mesh [get]
 Returns the mesh for this element More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe int NumberOfCornerNodes [get]
 Returns the number of corner nodes More...
 
unsafe
NXOpen.CAE.ElementTypes.Order 
Order [get]
 Returns the element order More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
unsafe
NXOpen.CAE.ElementTypes.Shape 
Shape [get]
 Returns the element shape More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Finite Element.

Created in NX5.0.0

Member Function Documentation

unsafe NXOpen.INXObject NXOpen.CAE.FEElement.FindObject ( string  journalIdentifier)
inline

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX3.0.0

License requirements: None.

Parameters
journalIdentifierJournal identifier of the object
Returns

Implements NXOpen.INXObject.

unsafe NXOpen.CAE.FENode [] NXOpen.CAE.FEElement.GetCornerNodesOnEdge ( int  edgeIndex)
inline

Returns the corner nodes for this element edge.

Created in NX11.0.0

License requirements: None.

Parameters
edgeIndex
Returns
unsafe NXOpen.CAE.FENode [] NXOpen.CAE.FEElement.GetCornerNodesOnFace ( int  faceIndex)
inline

Returns the corner nodes for this element face

Created in NX11.0.0

License requirements: None.

Parameters
faceIndex
Returns
unsafe NXOpen.CAE.FEElemEdge NXOpen.CAE.FEElement.GetElemEdge ( int  edgeIndex)
inline

Returns an element edge NXOpen.CAE.FEElemEdge given the element and edge id

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
edgeIndex
Returns
unsafe NXOpen.CAE.FEElemFace NXOpen.CAE.FEElement.GetElemFace ( int  faceIndex)
inline

Returns an element face NXOpen.CAE.FEElemFace given the element and face id

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
faceIndex
Returns
unsafe NXOpen.Vector3d NXOpen.CAE.FEElement.GetFaceNormal ( int  faceIndex)
inline

Returns the normal vector for an element face

Created in NX11.0.0

License requirements: None.

Parameters
faceIndex
Returns
unsafe NXOpen.CAE.FENode NXOpen.CAE.FEElement.GetMidNodeOnEdge ( int  edgeIndex)
inline

Returns the mid node for this element edge, if the element order CAE.FEElement.Order is CAE.ElementTypes.Order.Mixed or an order that does not support mid nodes, then the node returned may be a null reference (Nothing in Visual Basic).

Created in NX11.0.0

License requirements: None.

Parameters
edgeIndex
Returns
unsafe NXOpen.CAE.FENode [] NXOpen.CAE.FEElement.GetMidNodesOnFace ( int  faceIndex)
inline

Returns the mid nodes for this element face, if the element order CAE.FEElement.Order is CAE.ElementTypes.Order.Mixed , then some of the nodes returned may be a null reference (Nothing in Visual Basic).

If the Element Order does not support mid nodes nothing will be returned.

Created in NX11.0.0

License requirements: None.

Parameters
faceIndex
Returns
unsafe NXOpen.CAE.FENode [] NXOpen.CAE.FEElement.GetNodes ( )
inline

Returns the nodes for this element, if the element order CAE.FEElement.Order is mixed order, some of the mid nodes returned may be a null reference (Nothing in Visual Basic).

When mid nodes are returned they will come after the corner nodes

Created in NX7.5.2

License requirements: None.

Returns
unsafe int NXOpen.CAE.FEElement.GetNumberOfCornerNodesOnEdge ( int  edgeIndex)
inline

Returns the number of corner nodes on element edge

Created in NX11.0.0

License requirements: None.

Parameters
edgeIndex
Returns
unsafe int NXOpen.CAE.FEElement.GetNumberOfCornerNodesOnFace ( int  faceIndex)
inline

Returns the number of corner nodes on element face

Created in NX11.0.0

License requirements: None.

Parameters
faceIndex
Returns
unsafe string [] NXOpen.CAE.FEElement.GetSolverCardSyntax ( )
inline

Returns the solver card syntax strings for this entity.

Created in NX8.5.0

License requirements: None.

Returns

Implements NXOpen.CAE.IExportableFEEntity.

unsafe void NXOpen.CAE.FEElement.Print ( )
inline

Prints a representation of this object to the system log file.

Created in NX3.0.0

License requirements: None.

Implements NXOpen.INXObject.

unsafe void NXOpen.CAE.FEElement.SetName ( string  name)
inline

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Created in NX3.0.0

License requirements: None.

Parameters
name

Implements NXOpen.INXObject.

Property Documentation

unsafe bool NXOpen.CAE.FEElement.IsOccurrence
get

Returns whether this object is an occurrence or not.

Created in NX3.0.0

License requirements: None.

unsafe string NXOpen.CAE.FEElement.JournalIdentifier
get

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

Created in NX3.0.0

License requirements: None.

unsafe int NXOpen.CAE.FEElement.Label
get

Returns the element label

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.CAE.Mesh NXOpen.CAE.FEElement.Mesh
get

Returns the mesh for this element

Created in NX7.5.2

License requirements: None.

unsafe string NXOpen.CAE.FEElement.Name
get

Returns the custom name of the object.

Created in NX3.0.0

License requirements: None.

unsafe int NXOpen.CAE.FEElement.NumberOfCornerNodes
get

Returns the number of corner nodes

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypes.Order NXOpen.CAE.FEElement.Order
get

Returns the element order

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.Assemblies.Component NXOpen.CAE.FEElement.OwningComponent
get

Returns the owning component, if this object is an occurrence.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.BasePart NXOpen.CAE.FEElement.OwningPart
get

Returns the owning part of this object

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.INXObject NXOpen.CAE.FEElement.Prototype
get

Returns the prototype of this object if it is an occurrence.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypes.Shape NXOpen.CAE.FEElement.Shape
get

Returns the element shape

Created in NX7.5.2

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.